Jump to content

OAuth Server 1.2.4

   (0 reviews)

 Share

2 Screenshots

About This File

Это добавляет сервер OAuth2 к вашей установке IPS Community Suite 4. Это позволяет внешним приложениям проходить аутентификацию и авторизацию против вашего членства в IPS4.

Администраторы, желающие интегрировать внешние приложения со своим сайтом IPS4 через OAuth2, могут зарегистрировать эти приложения с помощью панели управления IPS4 Admin Control Panel ( ACP ).

Разрешения могут быть настроены так, чтобы разрешать только определенные группы пользователей использовать шлюз OAuth.

Исходный код является общедоступным (лицензия GPLv2) на странице https://github.com/wohali/ips4-oauth2-server . Запросы и вопросы по запросу приветствуются.

Примечание . Для IPS 4.1.13 и старше используйте v1.0.1. Для IPS 4.1.14 и новее используйте v1.2.0 (или последнюю версию).


What's New in Version 1.2.4

Released

Обратите внимание, что версии v1.2.0 и выше не обратно совместимы с IPS 4.1.13 и ниже . Для более старых версий IPS, пожалуйста, продолжайте использовать v1.0.1.

Новое в v1.2.x:

  • Языковые строки теперь используются для всего текста в шаблоне формы авторизации, отображаемого для первых пользователей интеграции OAuth.
  • Новая поддержка точек репутации пользователей. Запросите user.reputation в строке области для этих данных. 
  • Исправьте регрессию для выполнения задачи expiretokens.
  • Исправьте регрессию для отображения URL-адресов в ACP .

Примечание . Если задачи отказываются запускаться в вашем экземпляре IPS, может потребоваться выполнить следующую команду для вашей базы данных IPS SQL, чтобы исправить установку OAuth 2:

DELETE FROM enco_core_tasks WHERE `key` = 'expire_tokens';

Альтернативой было бы полное удаление, а затем переустановить приложение OAuth2 Server.

 Share


User Feedback

Guest
×
×
  • Create New...